#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Switch
Summary:	Switch - a switch statement for Perl
Summary(pl.UTF-8):	Switch - instrukcja switch dla Perla
Name:		perl-Switch
Version:	2.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/C/CH/CHORNY/%{pdir}-%{version}.tar.gz
# Source0-md5:	34e2b6dac0a43384505b4e036633cff0
URL:		http://search.cpan.org/dist/Switch/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Switch.pm provides the syntax and semantics for an explicit case
mechanism for Perl.  The syntax is minimal, introducing only the
keywords "switch" and "case" and conforming to the general pattern of
existing Perl control structures.  The semantics are particularly
rich, allowing any one (or more) of nearly 30 forms of matching to be
used when comparing a switch value with its various cases.

%description -l pl.UTF-8
Switch.pm udostępnia składnię i semantykę dla jawnego mechanizmu
rozpatrywania przypadku dla Perla.  Składnia jest minimalna, wprowadza
jedynie słowa kluczowe ,,switch'' i ,,case'' i zachowując zgodność
z ogólnym wzorcem istniejących procedur kontroli przepływu Perla.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Switch.pm
%{_mandir}/man3/Switch.3pm*
%changelog
* Fri Feb 19 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Switch.git;a=log;h=master

* Fri Feb 19 2016 Jakub Bogusz <qboosh@pld-linux.org> 5ea807b
- updated to 2.17

* Tue Mar 09 2010 amateja <amateja@pld-linux.org> 4dbd516
- updated to 2.16

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> 55a77e5
- updated to 2.14

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 9c773e4
- generic URL

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> b76975b
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> 8e28cdc
- up to 2.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3786b27
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2300168
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> 1983352
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5d7a79e
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 0780781
- massive: unfold macros in name/summary & other unifications

* Thu May 06 2004 ankry <ankry@pld-linux.org> 0ed34cd
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> 4085d07
- license fixed, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 76ce3c7
- cosmetics, unification

* Sun Apr 11 2004 migo <migo@pld-linux.org> d0e6dd9
- up to 2.10
- adjusted URL, added tests

* Thu Sep 25 2003 migo <migo@pld-linux.org> e273539
- description fix

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> f385626
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> ef6e30b
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> da9d688
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 0c2df6f
- BR: perl-devel; do not BR: perl

